Package: org.gradle.api.plugins.scala

## [Groovy] Class ScalaBasePlugin

- org.gradle.api.plugins.scala.ScalaBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      class ScalaBasePlugin
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCALA_RUNTIME_EXTENSION_NAME`
    `static String` | `ZINC_CONFIGURATION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScalaBasePlugin (org.gradle.api.internal.file.FileResolver fileResolver)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String SCALA_RUNTIME_EXTENSION_NAME

    - #### static final String ZINC_CONFIGURATION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject ScalaBasePlugin(org.gradle.api.internal.file.FileResolver fileResolver)

  - ### Method Detail

    - #### void apply(Project project)